- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FbxLayerElementMaterial::LayerElementArrayProxy Class Reference

Search for all occurrences

## Detailed Description

Internal class to maintain backward compatibility with old FBX code (prior to FBX SDK 2011). This class synchronizes the direct array with FbxNode connections. Thus, changes on the direct array will reflect on FbxNode.

Definition at line 1422 of file fbxlayer.h.

`#include <fbxlayer.h>`

Inheritance diagram for FbxLayerElementMaterial::LayerElementArrayProxy:
[legend]

List of all members.

## Public Types
typedef FbxLayerElementArrayTemplate < FbxSurfaceMaterial * > | ParentClass
## Public Member Functions
| LayerElementArrayProxy (EFbxType pType)
void | SetContainer (FbxLayerContainer *pContainer, int pInstance=0)

## Member Typedef Documentation

typedef FbxLayerElementArrayTemplate<FbxSurfaceMaterial*> ParentClass

Search for all occurrences

Definition at line 1425 of file fbxlayer.h.

## Constructor & Destructor Documentation

LayerElementArrayProxy | ( | EFbxType | pType | ) |

## Member Function Documentation

void SetContainer | ( | FbxLayerContainer * | pContainer,
|  | int | pInstance = `0`
| ) |  |

Search for all occurrences

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxlayer.h

FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy
FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy FbxLayerElementMaterial::LayerElementArrayProxy